Skip to main content
GET
Get payment by ID

๐Ÿ“Œ Endpoint

GET /stores/{storeId}/payments/{paymentId} Returns a specific payment of the store with the products (id, name, price, image, description) and the payment metadata โ€” which stores the product snapshot (items[].product), quantity, billing cycle, and the applied coupon (items[].coupon) when present.

๐Ÿ” Authentication

  • Private route.
  • Requires header Authorization with your API key and active plan.

๐Ÿงพ Route parameters


โœ… Example request


๐Ÿ“ฆ Success response (200)


โš ๏ธ Possible errors

  • 400 INVALID_DATA โ†’ invalid parameters
  • 401 API_KEY_NOT_PROVIDED โ†’ missing Authorization header
  • 401 INVALID_API_KEY โ†’ invalid API key
  • 401 UNAUTHENTICATED โ†’ unauthenticated user
  • 403 USER_DISABLED โ†’ user disabled or deleted
  • 403 NO_ACTIVE_SUBSCRIPTION โ†’ inactive or expired plan
  • 404 STORE_NOT_FOUND โ†’ store not found
  • 404 PAYMENT_NOT_FOUND โ†’ payment not found
  • 429 RATE_LIMIT_EXCEEDED โ†’ plan per-minute rate limit exceeded
  • 503 SERVICE_UNAVAILABLE โ†’ service temporarily unavailable

Authorizations

Authorization
string
header
default:YOUR_API_KEY_HERE
required

Path Parameters

storeId
string
required
Required string length: 1 - 50
paymentId
string
required
Required string length: 1 - 50

Response

Get payment by ID.

code
string
required
Example:

"PAYMENT_FETCHED"

payment
object
required

Store payment/charge.